// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home',
            redirect: '/home',
            component: BlankLayout,
            meta: {
              title: '首页',
              icon: 'home',
              hidden: true
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: '/home',
                name: 'home',
                component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
                meta: {
                  title: '首页',
                  icon: 'home',
                  hidden: true
                }
              },
              {
                path: '/changePwd',
                name: 'changePwd',
                component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
                meta: {
                  title: '修改密码',
                  icon: 'home'
                },
                hidden: true
              },
              // 公告
              {
                path: '/notice',
                name: 'notice',
                component: () => import(/* webpackChunkName: "home" */ '@/views/notice/list'),
                meta: {
                  title: '公告',
                  icon: 'bell',
                  hidden: true
                }
              }
            ]
          }
        ]
      },
      // 销售管理
      {
        path: '/salesManagement',
        redirect: '/salesManagement/salesQuery',
        component: PageView,
        meta: {
          title: '销售管理',
          icon: 'account-book',
          permission: 'M_salesManage'
        },
        children: [
          {
            path: '/salesManagement/salesQuery',
            redirect: '/salesManagement/salesQuery/list',
            name: 'salesQuery',
            component: BlankLayout,
            meta: {
              title: '销售单',
              icon: 'monitor',
              permission: 'M_salesQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesQueryList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
                meta: {
                  title: '销售单列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_salesQueryList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'salesDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
                meta: {
                  title: '销售单详情',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesDetail'
                }
              },
              {
                path: 'add/:id/:sn/:priceType',
                name: 'salesAdd',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '新增销售单',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesNews'
                }
              },
              {
                path: 'edit/:id/:sn/:priceType',
                name: 'salesEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '编辑销售单',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesEdit'
                }
              }
            ]
          },
          {
            path: '/salesManagement/urgentItemsOffset',
            redirect: '/salesManagement/urgentItemsOffset/list',
            name: 'urgentItemsOffset',
            component: BlankLayout,
            meta: {
              title: '急件冲减',
              icon: 'rocket',
              permission: 'M_urgentItemsOffsetList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'urgentItemsOffsetList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/list.vue'),
                meta: {
                  title: '急件冲减列表',
                  icon: 'rocket',
                  hidden: true,
                  permission: 'M_urgentItemsOffsetList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'urgentItemsOffsetDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/detail.vue'),
                meta: {
                  title: '急件冲减详情',
                  icon: 'rocket',
                  hidden: true,
                  replaceTab: true,
                  permission: 'M_urgentDetail'
                }
              }
            ]
          },
          {
            path: '/salesManagement/salesReturn',
            redirect: '/salesManagement/salesReturn/list',
            name: 'salesReturn',
            component: BlankLayout,
            meta: {
              title: '销售退货',
              icon: 'fund',
              permission: 'M_salesReturnList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
                meta: {
                  title: '退货单列表',
                  icon: 'fund',
                  hidden: true,
                  permission: 'M_salesReturnList'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'salesReturnDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
                meta: {
                  title: '退货单详情',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnDetail'
                }
              },
              {
                path: 'salesReturnGrabEdit/:id/:sn/:buyerSn',
                name: 'salesReturnGrabEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnGrabEdit.vue'),
                meta: {
                  title: '编辑退货单（抓单）',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnEdit'
                }
              },
              {
                path: 'salesReturnEdit/:id/:sn/:buyerSn',
                name: 'salesReturnEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnEdit.vue'),
                meta: {
                  title: '编辑退货单（不抓单）',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnEdit'
                }
              }
            ]
          },
          {
            path: '/salesManagement/productPricing',
            redirect: '/salesManagement/productPricing/list',
            name: 'productPricing',
            component: BlankLayout,
            meta: {
              title: '产品报价',
              icon: 'file-search',
              permission: 'M_productPricingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productPricingList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/productPricing/list.vue'),
                meta: {
                  title: '产品报价列表',
                  icon: 'file-search',
                  hidden: true,
                  permission: 'M_productPricingList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/giftRecord',
            redirect: '/salesManagement/giftRecord/list',
            name: 'giftRecord',
            component: BlankLayout,
            meta: {
              title: '赠品记录',
              icon: 'file-search',
              permission: 'M_giftRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'giftRecordList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/giftRecord/list.vue'),
                meta: {
                  title: '赠品记录列表',
                  icon: 'file-search',
                  hidden: true,
                  permission: 'M_giftRecordList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/salesman',
            redirect: '/salesManagement/salesman/list',
            name: 'salesman',
            component: BlankLayout,
            meta: {
              title: '业务员管理',
              icon: 'file-search',
              permission: 'M_salesman_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesmanList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesman/list.vue'),
                meta: {
                  title: '业务员列表',
                  icon: 'file-search',
                  hidden: true,
                  permission: 'M_salesman_list'
                }
              }
            ]
          }
        ]
      },
      // 数字货架
      {
        path: '/numsGoodsShelves',
        redirect: '/numsGoodsShelves/settlementManagement',
        component: PageView,
        meta: {
          title: '数字货架',
          icon: 'hdd',
          permission: 'M_numsGoodsShelves'
        },
        children: [
          {
            path: '/numsGoodsShelves/shelfSet',
            redirect: '/numsGoodsShelves/shelfSet/list',
            name: 'shelfSet',
            component: BlankLayout,
            meta: {
              title: '货架设置',
              icon: 'monitor',
              permission: 'M_shelfSet'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shelfSetList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/shelfSet/list.vue'),
                meta: {
                  title: '货架设置列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'set/:sn',
                name: 'shelfSetting',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/shelfSet/set.vue'),
                meta: {
                  title: '货架设置',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/shelfMonitoring',
            redirect: '/numsGoodsShelves/shelfMonitoring/list',
            name: 'shelfMonitoring',
            component: BlankLayout,
            meta: {
              title: '货架监控',
              icon: 'monitor',
              permission: 'M_shelfMonitoring'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shelfMonitoringList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/shelfMonitoring/list.vue'),
                meta: {
                  title: '货架监控列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'warehouseDetail/:shelfPlaceSn/:productSn',
                name: 'shelfMonitoringWarehouseDetail',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/shelfMonitoring/warehouseDetail.vue'),
                meta: {
                  title: '货架监控出入库明细',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/replenishmentManagement',
            redirect: '/numsGoodsShelves/replenishmentManagement/list',
            name: 'replenishmentManagement',
            component: BlankLayout,
            meta: {
              title: '补货管理',
              icon: 'monitor',
              permission: 'M_replenishmentManagement'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'replenishmentManagementList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/replenishmentManagement/list.vue'),
                meta: {
                  title: '补货管理列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/recallManagement',
            redirect: '/numsGoodsShelves/recallManagement/list',
            name: 'recallManagement',
            component: BlankLayout,
            meta: {
              title: '调回管理',
              icon: 'monitor',
              permission: 'M_recallManagement'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'recallManagementList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/recallManagement/list.vue'),
                meta: {
                  title: '调回管理列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/settlementManagement',
            redirect: '/numsGoodsShelves/settlementManagement/list',
            name: 'settlementManagement',
            component: BlankLayout,
            meta: {
              title: '结算管理',
              icon: 'monitor',
              permission: 'M_settlementManagement'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'settlementManagementList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/settlementManagement/list.vue'),
                meta: {
                  title: '结算管理列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'unDetail/:shelfSn/:settleType/:shelfName',
                name: 'unSettlementDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/numsGoodsShelves/settlementManagement/unSettlementDetail.vue'),
                meta: {
                  title: '待结算明细',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'detail/:shelfSn/:shelfName',
                name: 'settlementDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/numsGoodsShelves/settlementManagement/settlementDetail.vue'),
                meta: {
                  title: '结算历史',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/withdrawalManagement',
            redirect: '/numsGoodsShelves/withdrawalManagement/list',
            name: 'withdrawalManagement',
            component: BlankLayout,
            meta: {
              title: '提现管理',
              icon: 'monitor',
              permission: 'M_withdrawalManagement'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'withdrawalManagementList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/withdrawalManagement/list.vue'),
                meta: {
                  title: '提现管理列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          },
          {
            path: '/numsGoodsShelves/recallStockManagement',
            redirect: '/numsGoodsShelves/recallStockManagement/list',
            name: 'recallStockManagement',
            component: BlankLayout,
            meta: {
              title: '调回入库',
              icon: 'monitor',
              permission: 'M_recallStockManagement'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'recallStockManagementList',
                component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/recallStockManagement/list.vue'),
                meta: {
                  title: '调回入库列表',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesQueryList'
                }
              },
              {
                path: 'editStock/:stockPutSn',
                name: 'editStock',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/numsGoodsShelves/recallStockManagement/editStock.vue'),
                meta: {
                  title: '编辑入库',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true
                  // permission: 'M_salesQueryList'
                }
              }
            ]
          }
          // {
          //   path: '/numsGoodsShelves/accountManagement',
          //   redirect: '/numsGoodsShelves/accountManagement/list',
          //   name: 'accountManagement',
          //   component: BlankLayout,
          //   meta: {
          //     title: '账户明细',
          //     icon: 'monitor'
          //     // permission: 'M_salesQueryList'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'accountManagementList',
          //       component: () => import(/* webpackChunkName: "numsGoodsShelves" */ '@/views/numsGoodsShelves/accountManagement/list.vue'),
          //       meta: {
          //         title: '账户明细列表',
          //         icon: 'monitor',
          //         hidden: true
          //         // permission: 'M_salesQueryList'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 采购管理
      {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'file-done',
          permission: 'M_purchasingManagement'
        },
        children: [
          {
            path: '/purchasingManagement/purchaseOrder',
            redirect: '/purchasingManagement/purchaseOrder/list',
            name: 'purchaseOrder',
            component: BlankLayout,
            meta: {
              title: '采购单管理',
              icon: 'file-done',
              permission: 'M_purchasingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseOrderList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseOrder/list.vue'),
                meta: {
                  title: '采购单列表',
                  icon: 'file-done',
                  hidden: true,
                  permission: 'M_purchasingList'
                }
              },
              {
                path: 'add/:sn',
                name: 'purchaseOrderAdd',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '新增采购单',
                  icon: 'file-done',
                  hidden: true,
                  permission: 'B_purchaseNew'
                }
              },
              {
                path: 'edit/:sn',
                name: 'purchaseOrderEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '编辑采购单',
                  icon: 'file-done',
                  hidden: true,
                  permission: 'B_purchaseEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'purchaseOrderDetail',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseOrder/detail.vue'),
                meta: {
                  title: '采购单详情',
                  icon: 'file-done',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_purchaseDetail'
                }
              },
              {
                path: 'warehousing/:sn',
                name: 'purchaseOrderWarehousing',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseOrder/warehousing.vue'),
                meta: {
                  title: '采购入库',
                  icon: 'file-done',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_purchaseReceiving'
                }
              }
            ]
          },
          {
            path: '/purchasingManagement/signWarehousing',
            redirect: '/purchasingManagement/signWarehousing/list',
            name: 'signWarehousing',
            component: BlankLayout,
            meta: {
              title: '签收入库',
              icon: 'money-collect'
              // permission: 'M_signWarehousingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'signWarehousingList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/signWarehousing/list.vue'),
                meta: {
                  title: '签收入库列表',
                  icon: 'money-collect',
                  hidden: true
                  // permission: 'M_signWarehousingList'
                }
              },
              {
                path: 'edit/:sn',
                name: 'signWarehousingEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/signWarehousing/edit.vue'),
                meta: {
                  title: '签收入库',
                  icon: 'money-collect',
                  replaceTab: true,
                  hidden: true
                  // permission: 'B_signWarehousingDetail'
                }
              },
              {
                path: 'stockOrderDetail/:sn',
                name: 'signWarehousingStockOrderDetail',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/signWarehousing/stockOrderDetail.vue'),
                meta: {
                  title: '备货单详情',
                  icon: 'money-collect',
                  replaceTab: true,
                  hidden: true
                  // permission: 'B_signWarehousingStockOrderDetail'
                }
              }
            ]
          },
          {
            path: '/purchasingManagement/purchaseReturn',
            redirect: '/purchasingManagement/purchaseReturn/list',
            name: 'purchaseReturn',
            component: BlankLayout,
            meta: {
              title: '采购退货',
              icon: 'money-collect',
              permission: 'M_purchaseReturnList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReturnList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/list.vue'),
                meta: {
                  title: '采购退货列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_purchaseReturnList'
                }
              },
              {
                path: 'add/:id/:sn/:name',
                name: 'purchaseReturnAdd',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/edit.vue'),
                meta: {
                  title: '新增采购退货单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnNew'
                }
              },
              {
                path: 'edit/:id/:sn/:name',
                name: 'purchaseReturnEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/edit.vue'),
                meta: {
                  title: '编辑采购退货单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'purchaseReturnDetail',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/detail.vue'),
                meta: {
                  title: '采购退货详情',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnDetail'
                }
              }
            ]
          },
          // 采购退货-不同步
          {
            path: '/purchasingManagement/purchaseReturnOutSync',
            redirect: '/purchasingManagement/purchaseReturnOutSync/list',
            name: 'purchaseReturnOutSync',
            component: BlankLayout,
            meta: {
              title: '采购退货',
              icon: 'money-collect',
              permission: 'M_purchaseReturn_outSnycList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReturnOutSyncList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturnOutSync/list.vue'),
                meta: {
                  title: '采购退货列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_purchaseReturn_outSnycList'
                }
              },
              {
                path: 'edit/:sn',
                name: 'purchaseReturnOutSyncEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturnOutSync/edit.vue'),
                meta: {
                  title: '采购退货单(不抓单)',
                  icon: 'money-collect',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_purchaseReturn_outSnycAdd'
                }
              },
              {
                path: 'grapEdit/:sn/:returnTargetType',
                name: 'purchaseReturnOutSyncGrapEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturnOutSync/grapEdit.vue'),
                meta: {
                  title: '采购退货单(抓单)',
                  icon: 'money-collect',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_purchaseReturn_outSnycEdit'
                }
              },
              {
                path: 'detail/:sn/:grabFlag',
                name: 'purchaseReturnOutSyncDetail',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturnOutSync/detail.vue'),
                meta: {
                  title: '采购退货详情',
                  icon: 'money-collect',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_purchaseReturn_outSnycDetail'
                }
              }
            ]
          }
        ]
      },
      // 出库管理
      {
        path: '/outboundOrderManagement',
        redirect: '/outboundOrderManagement/outboundOrder',
        component: PageView,
        meta: {
          title: '出库管理',
          icon: 'export',
          permission: 'M_outboundList'
        },
        children: [
          {
            path: '/outboundOrderManagement/outboundOrder',
            redirect: '/outboundOrderManagement/outboundOrder/list',
            name: 'outboundOrder',
            component: BlankLayout,
            meta: {
              title: '出库',
              icon: 'export',
              permission: 'M_outboundList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'outboundOrderList',
                component: () => import(/* webpackChunkName: "outboundOrderManagement" */ '@/views/outboundOrderManagement/outboundOrder/list.vue'),
                meta: {
                  title: '出库列表',
                  icon: 'export',
                  hidden: true,
                  permission: 'M_outboundList'
                }
              }
            ]
          }
        ]
      },
      // 财务管理
      {
        path: '/financialManagement',
        redirect: '/financialManagement/warehousingAudit',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety',
          permission: 'M_financial'
        },
        children: [
          {
            path: '/financialManagement/warehousingAudit',
            redirect: '/financialManagement/warehousingAudit/list',
            name: 'warehousingAudit',
            component: BlankLayout,
            meta: {
              title: '入库审核',
              icon: 'pull-request',
              permission: 'M_warehousingAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingAuditList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/list.vue'),
                meta: {
                  title: '入库审核列表',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_warehousingAuditList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'warehousingAuditDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/detail.vue'),
                meta: {
                  title: '入库审核详情',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_warehousingAudit_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/inventoryCheckAudit',
            redirect: '/financialManagement/inventoryCheckAudit/list',
            name: 'inventoryCheckAudit',
            component: BlankLayout,
            meta: {
              title: '盘点审核',
              icon: 'laptop',
              permission: 'M_inventoryCheckAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryCheckAuditList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryCheckAudit/list.vue'),
                meta: {
                  title: '盘点审核列表',
                  icon: 'laptop',
                  hidden: true,
                  permission: 'M_inventoryCheckAuditList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialPayment',
            redirect: '/financialManagement/financialPayment/list',
            name: 'financialPayment',
            component: BlankLayout,
            meta: {
              title: '财务付款',
              icon: 'pay-circle',
              permission: 'M_financialPaymentList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialPayment/list.vue'),
                meta: {
                  title: '财务付款列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_financialPaymentList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: BlankLayout,
            meta: {
              title: '财务收款',
              icon: 'money-collect',
              permission: 'M_financialCollectionList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_financialCollectionList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/expenseManagement',
            redirect: '/financialManagement/expenseManagement/list',
            name: 'expenseManagement',
            component: BlankLayout,
            meta: {
              title: '费用管理',
              icon: 'pound',
              permission: 'M_expenseManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/list.vue'),
                meta: {
                  title: '费用单列表',
                  icon: 'pound',
                  hidden: true,
                  permission: 'M_expenseManagementList'
                }
              },
              {
                path: 'add',
                name: 'expenseManagementAdd',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '新增费用单',
                  icon: 'pound',
                  hidden: true,
                  permission: 'B_expenseNew'
                }
              },
              {
                path: 'edit/:id',
                name: 'expenseManagementEdit',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '编辑费用单',
                  icon: 'pound',
                  hidden: true,
                  permission: 'B_expenseEdit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyReceivablePayable',
            redirect: '/financialManagement/companyReceivablePayable/list',
            name: 'companyReceivablePayable',
            component: BlankLayout,
            meta: {
              title: '单位应收应付管理',
              icon: 'transaction',
              permission: 'M_companyReceivablePayableList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyReceivablePayableList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/list.vue'),
                meta: {
                  title: '单位应收应付列表',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_companyReceivablePayableList'
                }
              },
              {
                path: 'collectionPayment/:sn/:name/:type',
                name: 'companyReceivablePayableCollectionPayment',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/collectionPayment.vue'),
                meta: {
                  title: '编辑单位应收应付',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_collectionPayment'
                }
              },
              {
                path: 'detail/:sn/:name/:type',
                name: 'companyReceivablePayableDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/detail.vue'),
                meta: {
                  title: '单位应收应付详情',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_companyReceivablePayable_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyCollectionPayment',
            redirect: '/financialManagement/companyCollectionPayment/list',
            name: 'companyCollectionPayment',
            component: BlankLayout,
            meta: {
              title: '单位收付款记录',
              icon: 'file-protect',
              permission: 'M_companyCollectionPaymentList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyCollectionPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/list.vue'),
                meta: {
                  title: '单位收付款记录列表',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_companyCollectionPaymentList'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'companyCollectionPaymentDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/detail.vue'),
                meta: {
                  title: '单位收付款记录详情',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_companyCollectionPayment_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/withdrawalManagement',
            redirect: '/financialManagement/withdrawalManagement/list',
            name: 'withdrawalManagement',
            component: BlankLayout,
            meta: {
              title: '提现管理',
              icon: 'dollar',
              permission: 'M_withdrawalManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'withdrawalManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/withdrawalManagement/list.vue'),
                meta: {
                  title: '提现管理列表',
                  icon: 'dollar',
                  hidden: true,
                  permission: 'M_withdrawalManagementList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/ledgerRecord',
            redirect: '/financialManagement/ledgerRecord/list',
            name: 'ledgerRecord',
            component: BlankLayout,
            meta: {
              title: '分账记录',
              icon: 'profile',
              permission: 'M_ledgerRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'ledgerRecordList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/ledgerRecord/list.vue'),
                meta: {
                  title: '分账记录列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_ledgerRecordList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/fundAccountManagement',
            redirect: '/financialManagement/fundAccountManagement/list',
            name: 'fundAccountManagement',
            component: BlankLayout,
            meta: {
              title: '资金账户管理',
              icon: 'file-protect',
              permission: 'M_fundAccountList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'fundAccountList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/fundAccountManagement/list.vue'),
                meta: {
                  title: '资金账户列表',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_fundAccountList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'fundAccountDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/fundAccountManagement/detail.vue'),
                meta: {
                  title: '资金明细',
                  icon: 'file-protect',
                  hidden: true,
                  replaceTab: true,
                  permission: 'M_fundAccount_detail'
                }
              }
            ]
          },
        ]
      },
      // 调拨管理
      {
        path: '/allocationManagement',
        redirect: '/allocationManagement/warehouseAllocation',
        component: PageView,
        meta: {
          title: '调拨管理',
          icon: 'cluster',
          permission: 'M_allocationManagement'
        },
        children: [
          {
            path: '/allocationManagement/warehouseAllocation',
            redirect: '/allocationManagement/warehouseAllocation/list',
            name: 'warehouseAllocation',
            component: BlankLayout,
            meta: {
              title: '仓库调拨',
              icon: 'gateway',
              permission: 'M_warehouseAllocationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseAllocationList',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/warehouseAllocation/list.vue'),
                meta: {
                  title: '仓库调拨列表',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'M_warehouseAllocationList'
                }
              },
              {
                path: 'add',
                name: 'warehouseAllocationAdd',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
                meta: {
                  title: '新增仓库调拨',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationNews'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'warehouseAllocationEdit',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
                meta: {
                  title: '编辑仓库调拨',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'warehouseAllocationDetail',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/warehouseAllocation/detail.vue'),
                meta: {
                  title: '仓库调拨详情',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/chainTransferIn',
            redirect: '/allocationManagement/chainTransferIn/list',
            name: 'chainTransferIn',
            component: BlankLayout,
            meta: {
              title: '连锁调入',
              icon: 'cluster',
              permission: 'M_chainTransferInList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainTransferInList',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferIn/list.vue'),
                meta: {
                  title: '连锁调入列表',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'M_chainTransferInList'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'chainTransferInEdit',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferIn/edit.vue'),
                meta: {
                  title: '编辑连锁调入',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'B_allocLinkagePutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'chainTransferInDetail',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferIn/detail.vue'),
                meta: {
                  title: '连锁调入详情',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'B_allocLinkagePutDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/chainTransferOut',
            redirect: '/allocationManagement/chainTransferOut/list',
            name: 'chainTransferOut',
            component: BlankLayout,
            meta: {
              title: '连锁调出',
              icon: 'pull-request',
              permission: 'M_chainTransferOutList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainTransferOutList',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferOut/list.vue'),
                meta: {
                  title: '连锁调出列表',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_chainTransferOutList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'chainTransferOutAdd',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
                meta: {
                  title: '新增连锁调出',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutNew'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'chainTransferOutEdit',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
                meta: {
                  title: '编辑连锁调出',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'chainTransferOutDetail',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/chainTransferOut/detail.vue'),
                meta: {
                  title: '连锁调出详情',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/storeTransferOut',
            redirect: '/allocationManagement/storeTransferOut/list',
            name: 'storeTransferOut',
            component: BlankLayout,
            meta: {
              title: '店内调出',
              icon: 'interaction',
              permission: 'M_storeTransferOutList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeTransferOutList',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/storeTransferOut/list.vue'),
                meta: {
                  title: '店内调出列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_storeTransferOutList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'storeTransferOutAdd',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
                meta: {
                  title: '新增店内调出',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeTransferOutNews'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'storeTransferOutEdit',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
                meta: {
                  title: '编辑店内调出',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeCallOutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'storeTransferOutDetail',
                component: () => import(/* webpackChunkName: "allocationManagement" */ '@/views/allocationManagement/storeTransferOut/detail.vue'),
                meta: {
                  title: '店内调出详情',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeCallOutDetail'
                }
              }
            ]
          }
        ]
      },
      // 库存管理
      {
        path: '/inventoryManagement',
        redirect: '/inventoryManagement/inventoryQuery',
        component: PageView,
        meta: {
          title: '库存管理',
          icon: 'shop',
          permission: 'M_inventory'
        },
        children: [
          {
            path: '/inventoryManagement/inventoryQuery',
            redirect: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQuery',
            component: BlankLayout,
            meta: {
              title: '库存查询',
              icon: 'monitor',
              permission: 'M_inventoryInventoryQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryQueryList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
                meta: {
                  title: '库存列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_inventoryInventoryQueryList'
                }
              },
              {
                path: 'warehouseDetail/:sn',
                name: 'inventoryQueryWarehouseDetail',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
                meta: {
                  title: '出入库明细',
                  icon: 'monitor',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_inventoryInventoryQueryStock'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryWarning',
            name: 'inventoryWarning',
            redirect: '/inventoryManagement/inventoryWarning/list',
            component: BlankLayout,
            meta: {
              title: '库存预警',
              icon: 'alert',
              permission: 'M_inventoryWarningList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryWarningList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
                meta: {
                  title: '库存预警',
                  icon: 'alert',
                  permission: 'M_inventoryWarningList'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/satelliteWarehouseInventory',
            name: 'satelliteWarehouseInventory',
            redirect: '/inventoryManagement/satelliteWarehouseInventory/list',
            component: BlankLayout,
            meta: {
              title: '卫星仓库存',
              icon: 'flag',
              permission: 'M_satelliteWarehouseInventoryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'satelliteWarehouseInventoryList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/satelliteWarehouseInventory/list.vue'),
                meta: {
                  title: '卫星仓库存',
                  icon: 'flag',
                  permission: 'M_satelliteWarehouseInventoryList'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryChecking',
            redirect: '/inventoryManagement/inventoryChecking/list',
            name: 'inventoryChecking',
            component: BlankLayout,
            meta: {
              title: '库存盘点',
              icon: 'reconciliation',
              permission: 'M_inventoryCheckingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryCheckingList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryChecking/list.vue'),
                meta: {
                  title: '库存盘点列表',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'M_inventoryCheckingList'
                }
              },
              {
                path: 'overall/:id/:sn',
                name: 'inventoryCheckingOverall',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryChecking/overall.vue'),
                meta: {
                  title: '编辑库存盘点【全盘】',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'B_inventoryCheckingEdit'
                }
              },
              {
                path: 'selfDisk/:id/:sn',
                name: 'inventoryCheckingSelfDisk',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryChecking/selfDisk.vue'),
                meta: {
                  title: '编辑库存盘点【自选盘点】',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'B_inventoryCheckingEdit'
                }
              },
              {
                path: 'makeInventory/:id/:sn',
                name: 'inventoryCheckingMakeInventory',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryChecking/makeInventory.vue'),
                meta: {
                  title: '盘点',
                  icon: 'reconciliation',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_inventoryCheckingInventory'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryImport',
            redirect: '/inventoryManagement/inventoryImport/list',
            name: 'inventoryImport',
            component: BlankLayout,
            meta: {
              title: '库存导入',
              icon: 'frown',
              permission: 'M_inventoryImport'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryImportList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/inventoryImport/list.vue'),
                meta: {
                  title: '库存导入列表',
                  icon: 'frown',
                  hidden: true,
                  permission: 'M_inventoryImport'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/warehouse',
            redirect: '/inventoryManagement/warehouse/list',
            name: 'warehouse',
            component: BlankLayout,
            meta: {
              title: '仓库管理',
              icon: 'deployment-unit',
              permission: 'M_inventoryWarehouseList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/warehouse/list.vue'),
                meta: {
                  title: '仓库列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_inventoryWarehouseList'
                }
              },
              {
                path: '/inventoryManagement/storingLocation/:sn',
                name: 'storingLocationList',
                component: () => import(/* webpackChunkName: "inventoryManagement" */ '@/views/inventoryManagement/warehouse/storingLocation/list.vue'),
                meta: {
                  title: '仓位列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  replaceTab: true,
                  permission: 'M_inventoryWarehouseStoringLocationList'
                }
              }
            ]
          }
        ]
      },
      // 散件管理
      {
        path: '/bulkManagement',
        redirect: '/bulkManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '散件管理',
          icon: 'gold',
          permission: 'M_bulkManagement'
        },
        children: [
          {
            path: '/bulkManagement/bulkWarehousingOrder',
            redirect: '/bulkManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrder',
            component: BlankLayout,
            meta: {
              title: '散件入库',
              icon: 'gold',
              permission: 'M_bulkWarehousingOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkWarehousingOrderList',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkWarehousingOrder/list.vue'),
                meta: {
                  title: '散件入库单列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkWarehousingOrderList'
                }
              },
              {
                path: 'add/:id/:sn/:supplierSn',
                name: 'bulkWarehousingOrderAdd',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '新增散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_add'
                }
              },
              {
                path: 'edit/:id/:sn/:supplierSn',
                name: 'bulkWarehousingOrderEdit',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '编辑散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_edit'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'bulkWarehousingOrderDetail',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkWarehousingOrder/detail.vue'),
                meta: {
                  title: '散件入库单详情',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_detail'
                }
              }
            ]
          },
          {
            path: '/bulkManagement/bulkReturnGoods',
            redirect: '/bulkManagement/bulkReturnGoods/list',
            name: 'bulkReturnGoods',
            component: BlankLayout,
            meta: {
              title: '散件退货',
              icon: 'frown',
              permission: 'M_bulkReturnGoodsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkReturnGoodsList',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkReturnGoods/list.vue'),
                meta: {
                  title: '散件退货列表',
                  icon: 'frown',
                  hidden: true,
                  permission: 'M_bulkReturnGoodsList'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkReturnGoodsEdit',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkReturnGoods/edit.vue'),
                meta: {
                  title: '编辑散件退货单(不抓单)',
                  icon: 'frown',
                  hidden: true,
                  permission: 'B_bulkReturnGoodsEdit'
                }
              },
              {
                path: 'grabEdit/:id/:sn/:supplierSn',
                name: 'bulkReturnGoodsGrabEdit',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkReturnGoods/grabEdit.vue'),
                meta: {
                  title: '编辑散件退货单(抓单)',
                  icon: 'frown',
                  hidden: true,
                  permission: 'B_bulkReturnGoodsEdit'
                }
              }
            ]
          },
          {
            path: '/bulkManagement/bulkImport',
            redirect: '/bulkManagement/bulkImport/list',
            name: 'bulkImport',
            component: BlankLayout,
            meta: {
              title: '散件导入',
              icon: 'frown',
              permission: 'M_bulkImport'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkImportList',
                component: () => import(/* webpackChunkName: "bulkManagement" */ '@/views/bulkManagement/bulkImport/list.vue'),
                meta: {
                  title: '散件导入列表',
                  icon: 'frown',
                  hidden: true,
                  permission: 'M_bulkImport'
                }
              }
            ]
          }
        ]
      },
      // 报表
      {
        path: '/reportData',
        redirect: '/reportData/chainStockReport',
        component: PageView,
        meta: {
          title: '报表',
          icon: 'project',
          permission: 'M_reportData'
        },
        children: [
          {
            path: '/reportData/salesReport',
            redirect: '/reportData/salesReport/index',
            name: 'salesReport',
            component: BlankLayout,
            meta: {
              title: '销售报表',
              icon: 'profile',
              permission: 'M_salesReportList,M_salesDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'salesReportIndex',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReport/index.vue'),
                meta: {
                  title: '销售报表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReportList,M_salesDetailReportList'
                }
              },
              {
                path: 'list',
                name: 'salesReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReport/list.vue'),
                meta: {
                  title: '销售报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReportList'
                }
              },
              {
                path: 'list',
                name: 'salesDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesDetailReport/list.vue'),
                meta: {
                  title: '销售明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesDetailReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/customerReport',
            redirect: '/reportData/customerReport/list',
            name: 'customerReport',
            component: BlankLayout,
            meta: {
              title: '大客户报表',
              icon: 'profile',
              permission: 'M_customerReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/customerReport/list.vue'),
                meta: {
                  title: '大客户报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_customerReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/customerSalesDetailsReport',
            redirect: '/reportData/customerSalesDetailsReport/list',
            name: 'customerSalesDetailsReport',
            component: BlankLayout,
            meta: {
              title: '客户销售明细报表',
              icon: 'profile',
              permission: 'M_customerSalesDetailsReport_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerSalesDetailsReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/customerSalesDetailsReport/list.vue'),
                meta: {
                  title: '客户销售明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_customerSalesDetailsReport_list'
                }
              }
            ]
          },
          {
            path: '/reportData/salesReturnReport',
            redirect: '/reportData/salesReturnReport/index',
            name: 'salesReturnReport',
            component: BlankLayout,
            meta: {
              title: '销售退货报表',
              icon: 'profile',
              // permission: 'M_salesReturnReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'salesReturnReportIndex',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReturnReport/index.vue'),
                meta: {
                  title: '销售退货报表',
                  icon: 'profile',
                  hidden: true,
                  // permission: 'M_salesReturnReportList'
                }
              },
              {
                path: 'list',
                name: 'salesReturnReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReturnReport/list.vue'),
                meta: {
                  title: '销售退货报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReturnReportList'
                }
              },
              {
                path: 'list',
                name: 'salesReturnDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReturnReport/detailList.vue'),
                meta: {
                  title: '销售退货明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReturnDetailReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/stockIncomeReport',
            redirect: '/reportData/stockIncomeReport/list',
            name: 'stockIncomeReport',
            component: BlankLayout,
            meta: {
              title: '库存总入报表',
              icon: 'profile',
              permission: 'M_stockIncomeReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'stockIncomeReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/stockIncomeReport/list.vue'),
                meta: {
                  title: '库存总入报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_stockIncomeReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/stockExpenditureReport',
            redirect: '/reportData/stockExpenditureReport/list',
            name: 'stockExpenditureReport',
            component: BlankLayout,
            meta: {
              title: '库存总出报表',
              icon: 'profile',
              permission: 'M_stockExpenditureReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'stockExpenditureReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/stockExpenditureReport/list.vue'),
                meta: {
                  title: '库存总出报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_stockExpenditureReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/receivedSendStorageReport',
            redirect: '/reportData/receivedSendStorageReport/list',
            name: 'receivedSendStorageReport',
            component: BlankLayout,
            meta: {
              title: '收发存报表',
              icon: 'profile',
              permission: 'M_receivedSendStorageReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'receivedSendStorageReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/receivedSendStorageReport/list.vue'),
                meta: {
                  title: '收发存报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_receivedSendStorageReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/storeReceivedSendStorageReport',
            redirect: '/reportData/storeReceivedSendStorageReport/list',
            name: 'storeReceivedSendStorageReport',
            component: BlankLayout,
            meta: {
              title: '门店收发存汇总报表',
              icon: 'profile',
              permission: 'M_storeReceivedSendStorageReport_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeReceivedSendStorageReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/storeReceivedSendStorageReport/list.vue'),
                meta: {
                  title: '门店收发存汇总列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_storeReceivedSendStorageReport_list'
                }
              }
            ]
          },
          {
            path: '/reportData/inventoryReport',
            redirect: '/reportData/inventoryReport/list',
            name: 'inventoryReport',
            component: BlankLayout,
            meta: {
              title: '盘点报表',
              icon: 'profile',
              permission: 'M_inventoryReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryReportList',
                component: () => import(/* webpackChunkName: "reportData1" */ '@/views/reportData/inventoryReport/list.vue'),
                meta: {
                  title: '盘点报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_inventoryReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/purchaseReceiptReport',
            redirect: '/reportData/purchaseReceiptReport/list',
            name: 'purchaseReceiptReport',
            component: BlankLayout,
            meta: {
              title: '采购入库报表',
              icon: 'profile',
              permission: 'M_purchaseReceiptReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReceiptReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/purchaseReceiptReport/list.vue'),
                meta: {
                  title: '采购入库报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_purchaseReceiptReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/bulkWarehousingReport',
            redirect: '/reportData/bulkWarehousingReport/index',
            name: 'bulkWarehousingReport',
            component: BlankLayout,
            meta: {
              title: '散件入库报表',
              icon: 'profile',
              // permission: 'M_bulkWarehousingReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'bulkWarehousingReportIndex',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkWarehousingReport/index.vue'),
                meta: {
                  title: '散件入库报表',
                  icon: 'profile',
                  hidden: true,
                  // permission: 'M_bulkWarehousingReportList'
                }
              },
              {
                path: 'list',
                name: 'bulkWarehousingReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkWarehousingReport/list.vue'),
                meta: {
                  title: '散件入库报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              },
              {
                path: 'list',
                name: 'bulkWarehousingDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkWarehousingReport/detailList.vue'),
                meta: {
                  title: '散件入库明细报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              }
            ]
          },
          {
            path: '/reportData/bulkReturnReport',
            redirect: '/reportData/bulkReturnReport/index',
            name: 'bulkReturnReport',
            component: BlankLayout,
            meta: {
              title: '散件退货报表',
              icon: 'profile',
              // permission: 'M_bulkReturnReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'bulkReturnReportIndex',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkReturnReport/index.vue'),
                meta: {
                  title: '散件退货报表',
                  icon: 'profile',
                  hidden: true,
                  // permission: 'M_bulkReturnReportList'
                }
              },
              {
                path: 'list',
                name: 'bulkReturnReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkReturnReport/list.vue'),
                meta: {
                  title: '散件退货报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              },
              {
                path: 'list',
                name: 'bulkReturnDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/bulkReturnReport/detailList.vue'),
                meta: {
                  title: '散件退货明细报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              }
            ]
          },
          {
            path: '/reportData/storeTransferOutReport',
            redirect: '/reportData/storeTransferOutReport/index',
            name: 'storeTransferOutReport',
            component: BlankLayout,
            meta: {
              title: '店内调出报表',
              icon: 'profile',
              // permission: 'M_storeTransferOutReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'storeTransferOutReportIndex',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/storeTransferOutReport/index.vue'),
                meta: {
                  title: '店内调出报表',
                  icon: 'profile',
                  hidden: true,
                  // permission: 'M_storeTransferOutReportList'
                }
              },
              {
                path: 'list',
                name: 'storeTransferOutReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/storeTransferOutReport/list.vue'),
                meta: {
                  title: '店内调出报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              },
              {
                path: 'list',
                name: 'storeTransferOutDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/storeTransferOutReport/detailList.vue'),
                meta: {
                  title: '店内调出明细报表列表',
                  icon: 'profile',
                  hidden: true,
                }
              }
            ]
          },
        ]
      },
      // 连锁报表
      {
        path: '/chainReportData',
        redirect: '/chainReportData/chainStockReport',
        component: PageView,
        meta: {
          title: '连锁报表',
          icon: 'fund',
          permission: 'M_reportData'
        },
        children: [
          {
            path: '/chainReportData/chainSalesReport',
            redirect: '/chainReportData/chainSalesReport/index',
            name: 'chainSalesReport',
            component: BlankLayout,
            meta: {
              title: '连锁销售报表',
              icon: 'profile',
              permission: 'M_chainSalesReportList,M_chainSalesDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'chainSalesReportIndex',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainSalesReport/index.vue'),
                meta: {
                  title: '连锁销售报表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesReportList,M_chainSalesDetailReportList'
                }
              },
              {
                path: 'list',
                name: 'chainSalesReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainSalesReport/list.vue'),
                meta: {
                  title: '连锁销售报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesReportList'
                }
              },
              {
                path: 'detailList',
                name: 'chainSalesDetailReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainSalesDetailReport/list.vue'),
                meta: {
                  title: '连锁销售明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesDetailReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainSalesDetailsCountReport',
            redirect: '/chainReportData/chainSalesDetailsCountReport/list',
            name: 'chainSalesDetailsCountReport',
            component: BlankLayout,
            meta: {
              title: '连锁销售明细合计报表',
              icon: 'profile',
              permission: 'M_chainSalesDetailsCountReport_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainSalesDetailsCountReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainSalesDetailsCountReport/list.vue'),
                meta: {
                  title: '连锁销售明细合计列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesDetailsCountReport_list'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainCustomerReport',
            redirect: '/chainReportData/chainCustomerReport/list',
            name: 'chainCustomerReport',
            component: BlankLayout,
            meta: {
              title: '连锁大客户报表',
              icon: 'profile',
              permission: 'M_chainCustomerReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainCustomerReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainCustomerReport/list.vue'),
                meta: {
                  title: '连锁大客户报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainCustomerReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainStockIncomeReport',
            redirect: '/chainReportData/chainStockIncomeReport/list',
            name: 'chainStockIncomeReport',
            component: BlankLayout,
            meta: {
              title: '连锁库存总入报表',
              icon: 'profile',
              permission: 'M_chainStockIncomeReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainStockIncomeReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainStockIncomeReport/list.vue'),
                meta: {
                  title: '连锁库存总入报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainStockIncomeReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainStockExpenditureReport',
            redirect: '/chainReportData/chainStockExpenditureReport/list',
            name: 'chainStockExpenditureReport',
            component: BlankLayout,
            meta: {
              title: '连锁库存总出报表',
              icon: 'profile',
              permission: 'M_chainStockExpenditureReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainStockExpenditureReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainStockExpenditureReport/list.vue'),
                meta: {
                  title: '连锁库存总出报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainStockExpenditureReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainStockReport',
            redirect: '/chainReportData/chainStockReport/list',
            name: 'chainStockReport',
            component: BlankLayout,
            meta: {
              title: '连锁库存总表',
              icon: 'profile',
              permission: 'M_chainStockReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainStockReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainStockReport/list.vue'),
                meta: {
                  title: '连锁库存总表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainStockReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainPurchaseReceiptReport',
            redirect: '/chainReportData/chainPurchaseReceiptReport/list',
            name: 'chainPurchaseReceiptReport',
            component: BlankLayout,
            meta: {
              title: '连锁采购入库报表',
              icon: 'profile',
              permission: 'M_chainPurchaseReceiptReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainPurchaseReceiptReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainPurchaseReceiptReport/list.vue'),
                meta: {
                  title: '连锁采购入库报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainPurchaseReceiptReportList'
                }
              }
            ]
          },
          {
            path: '/chainReportData/chainReceivedSendStorageReport',
            redirect: '/chainReportData/chainReceivedSendStorageReport/list',
            name: 'chainReceivedSendStorageReport',
            component: BlankLayout,
            meta: {
              title: '连锁收发存报表',
              icon: 'profile',
              permission: 'M_chainReceivedSendStorageReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainReceivedSendStorageReportList',
                component: () => import(/* webpackChunkName: "chainReportData" */ '@/views/chainReportData/chainReceivedSendStorageReport/list.vue'),
                meta: {
                  title: '连锁收发存报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainReceivedSendStorageReportList'
                }
              }
            ]
          }
        ]
      },
      // 客户管理
      {
        path: '/customerManagement',
        redirect: '/customerManagement/customerInfo',
        component: PageView,
        meta: {
          title: '客户管理',
          icon: 'idcard',
          permission: 'M_customerInfoList'
        },
        children: [
          {
            path: '/customerManagement/customerInfo',
            redirect: '/customerManagement/customerInfo/list',
            name: 'customerInfo',
            component: BlankLayout,
            meta: {
              title: '客户管理',
              icon: 'idcard',
              permission: 'M_customerInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerInfoList',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/list.vue'),
                meta: {
                  title: '客户列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_customerInfoList'
                }
              },
              {
                path: 'add',
                name: 'customerInfoAdd',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '新增客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'customerInfoEdit',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '编辑客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_edit'
                }
              }
            ]
          }
        ]
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping',
          permission: 'M_product'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: BlankLayout,
            meta: {
              title: '产品信息管理（自建）',
              icon: 'file-text',
              permission: 'M_dealerProductList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品信息列表（自建）',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_dealerProductList'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productInfoJg',
            redirect: '/productManagement/productInfoJg/list',
            name: 'productInfoJg',
            component: BlankLayout,
            meta: {
              title: '产品信息管理（箭冠）',
              icon: 'file-text',
              permission: 'M_productInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoJgList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productInfoJg/list.vue'),
                meta: {
                  title: '产品信息列表（箭冠）',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_productInfoList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productOnlineInfo',
            redirect: '/productManagement/productOnlineInfo/list',
            name: 'productOnlineInfo',
            component: BlankLayout,
            meta: {
              title: '产品上线信息',
              icon: 'file-text',
              permission: 'M_productOnlineInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productOnlineInfoList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productOnlineInfo/list.vue'),
                meta: {
                  title: '产品上线信息列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_productOnlineInfoList'
                }
              }
            ]
          },
          {
            path: '/productManagement/newProductList',
            redirect: '/newProduct/list/:onlineFalg',
            name: 'newProductList',
            component: BlankLayout,
            meta: {
              title: '产品信息',
              icon: 'sketch',
              permission: 'M_newProductList'
            },
            hideChildrenInMenu: true,
            children: [
              // 新品列表-下线产品
              {
                path: '/newProduct/list/:onlineFalg',
                name: 'newProductList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/newProduct/list'),
                meta: {
                  title: '新品信息',
                  icon: 'file-text',
                  hidden: true
                }
              },
              // 产品详情
              {
                path: '/viewProduct/:sn',
                name: 'viewProduct',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/newProduct/detail'),
                meta: {
                  title: '产品详情',
                  icon: 'file-text',
                  replaceTab: true,
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: BlankLayout,
            meta: {
              title: '产品品牌管理',
              icon: 'sketch',
              permission: 'M_dealerProductBrandList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_dealerProductBrandList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: BlankLayout,
            meta: {
              title: '产品分类管理',
              icon: 'sliders',
              permission: 'M_dealerProductTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品分类列表',
                  icon: 'sliders',
                  hidden: true,
                  permission: 'M_dealerProductTypeList'
                }
              }
            ]
          },
          {
            path: '/productManagement/priceChangeRecord',
            redirect: '/productManagement/priceChangeRecord/list',
            name: 'priceChangeRecord',
            component: BlankLayout,
            meta: {
              title: '价格变更记录',
              icon: 'sketch',
              permission: 'M_priceChangeRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceChangeRecordList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/productManagement/priceChangeRecord/list.vue'),
                meta: {
                  title: '价格变更记录列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_priceChangeRecordList'
                }
              }
            ]
          }
        ]
      },
      //  供应商管理
      {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'contacts',
          permission: 'M_supplierInfoList'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: BlankLayout,
            meta: {
              title: '供应商管理',
              icon: 'contacts',
              permission: 'M_supplierInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'contacts',
                  hidden: true,
                  permission: 'M_supplierInfoList'
                }
              }
            ]
          }
        ]
      },
      // 中心店/配送店管理
      {
        path: '/storeManagement',
        redirect: '/storeManagement/bind',
        component: PageView,
        meta: {
          title: '中心店/配送店管理',
          icon: 'bank',
          permission: 'M_storeManagement'
        },
        children: [
          {
            path: '/storeManagement/bind',
            redirect: '/storeManagement/bind/list',
            name: 'storeManagementBind',
            component: BlankLayout,
            meta: {
              title: '中心店/配送店绑定',
              icon: 'link',
              permission: 'M_storeManagementBindList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeManagementBindList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/storeManagement/bind/list.vue'),
                meta: {
                  title: '中心店/配送店绑定列表',
                  icon: 'link',
                  hidden: true,
                  permission: 'M_storeManagementBindList'
                }
              }
            ]
          },
          {
            path: '/storeManagement/userAuthorization',
            redirect: '/storeManagement/userAuthorization/list',
            name: 'storeManagementUserAuth',
            component: BlankLayout,
            meta: {
              title: '中心店用户授权',
              icon: 'link',
              permission: 'M_storeManagementUserAuthList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeManagementUserAuthList',
                component: () => import(/* webpackChunkName: "productManagement" */ '@/views/storeManagement/userAuthorization/list.vue'),
                meta: {
                  title: '中心店用户授权列表',
                  icon: 'link',
                  hidden: true,
                  permission: 'M_storeManagementUserAuthList'
                }
              }
            ]
          }
        ]
      },
      // 基础设置
      {
        path: '/basicData',
        redirect: '/basicData/storeTransferOutTypeManagement',
        component: PageView,
        meta: {
          title: '基础设置',
          icon: 'setting',
          permission: 'M_basicData'
        },
        children: [
          {
            path: '/basicData/storeTransferOutTypeManagement',
            redirect: '/basicData/storeTransferOutTypeManagement/list',
            name: 'storeTransferOutTypeManagement',
            component: BlankLayout,
            meta: {
              title: '店内调出类型管理',
              icon: 'interaction',
              permission: 'M_storeTransferOutTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeTransferOutTypeManagementList',
                component: () => import(/* webpackChunkName: "basicData" */ '@/views/basicData/storeTransferOutTypeManagement/list.vue'),
                meta: {
                  title: '店内调出类型管理列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_storeTransferOutTypeList'
                }
              }
            ]
          },
          {
            path: '/basicData/bulkPartsTypeManagement',
            redirect: '/basicData/bulkPartsTypeManagement/list',
            name: 'bulkPartsTypeManagement',
            component: BlankLayout,
            meta: {
              title: '散件入库类型管理',
              icon: 'gold',
              permission: 'M_bulkPartsTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkPartsTypeManagementList',
                component: () => import(/* webpackChunkName: "basicData" */ '@/views/basicData/bulkPartsTypeManagement/list.vue'),
                meta: {
                  title: '散件入库类型列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkPartsTypeList'
                }
              }
            ]
          },
          {
            path: '/basicData/expenseType',
            redirect: '/basicData/expenseType/list',
            name: 'expenseType',
            component: BlankLayout,
            meta: {
              title: '费用类型管理',
              icon: 'pay-circle',
              permission: 'M_expenseTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseTypeList',
                component: () => import(/* webpackChunkName: "basicData" */ '@/views/basicData/expenseType/list.vue'),
                meta: {
                  title: '费用类型列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_expenseTypeList'
                }
              }
            ]
          },
          // {
          //   path: '/basicData/processSettings',
          //   redirect: '/basicData/processSettings/setup',
          //   name: 'processSettings',
          //   component: BlankLayout,
          //   meta: {
          //     title: '业务自动化设置',
          //     icon: 'sliders'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'setup',
          //       name: 'processSettingsSetup',
          //       component: () => import(/* webpackChunkName: "basicData" */ '@/views/basicData/processSettings/setup.vue'),
          //       meta: {
          //         title: '业务自动化设置',
          //         icon: 'sliders',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/basicData/customerTypeManagement',
            redirect: '/basicData/customerTypeManagement/list',
            name: 'customerTypeManagement',
            component: BlankLayout,
            meta: {
              title: '客户类型管理',
              icon: 'idcard',
              permission: 'M_customerTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerTypeManagementList',
                component: () => import(/* webpackChunkName: "basicData" */ '@/views/basicData/customerTypeManagement/list.vue'),
                meta: {
                  title: '客户类型列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_customerTypeList'
                }
              }
            ]
          }
        ]
      },
      // auth
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'key',
          permission: 'M_powerMD_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUser',
            redirect: '/auth/userList/list',
            component: BlankLayout,
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_powerMD_user_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'powerUserList',
                component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
                meta: {
                  title: '用户管理',
                  icon: 'user',
                  permission: 'M_powerMD_user_list'
                }
              }
            ]
          },
          {
            path: '/auth/roleList',
            name: 'powerRole',
            redirect: '/auth/roleList/list',
            component: BlankLayout,
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_powerMD_role_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'powerRoleList',
                component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
                meta: {
                  title: '角色管理',
                  icon: 'solution',
                  permission: 'M_powerMD_role_list'
                }
              }
            ]
          }
        ]
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/updateBrowser',
    name: 'updateBrowser',
    component: () => import(/* webpackChunkName: "user" */ '@/views/exception/updateBrowser')
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
